## no-littering-el 1.0.3

=== Makefile ===
-include .config.mk

PKG = no-littering

ELS   = $(PKG).el
ELCS  = $(ELS:.el=.elc)

DEPS  =

EMACS      ?= emacs
EMACS_ARGS ?=

LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
LOAD_PATH  += -L .

all: lisp

help:
	$(info make all          - generate byte-code and autoloads)
	$(info make lisp         - generate byte-code and autoloads)
	$(info make clean        - remove generated files)
	@printf "\n"

lisp: $(ELCS) loaddefs

loaddefs: $(PKG)-autoloads.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<

CLEAN  = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf "Cleaning...\n"
	@rm -rf $(CLEAN)

define LOADDEFS_TMPL
;;; $(PKG)-autoloads.el --- automatically extracted autoloads
;;
;;; Code:
(add-to-list 'load-path (directory-file-name \
(or (file-name-directory #$$) (car load-path))))

;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; no-update-autoloads: t
;; End:
;;; $(PKG)-autoloads.el ends here
endef
export LOADDEFS_TMPL
#'

$(PKG)-autoloads.el: $(ELS)
	@printf "Generating $@\n"
	@printf "%s" "$$LOADDEFS_TMPL" > $@
	@$(EMACS) -Q --batch --eval "(progn\
	(setq make-backup-files nil)\
	(setq vc-handled-backends nil)\
	(setq default-directory (file-truename default-directory))\
	(setq generated-autoload-file (expand-file-name \"$@\"))\
	(setq find-file-visit-truename t)\
	(update-directory-autoloads default-directory))"

## no-littering-el 0.5.9

=== debian/changelog ===
no-littering-el (0.5.9-1) unstable; urgency=medium

  * New upstream version 0.5.9
  * Bump Standards-Version, no changes needed
  * Put only README.md to docs, we don't need PULL_REQUEST_TEMPLATE.md
  * Refresh patch

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 19 Jul 2017 11:14:10 +0500

no-littering-el (0.5.7-1) unstable; urgency=medium

  * Initial release (Closes: #865339)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 20 Jun 2017 20:01:49 +0500

=== debian/control ===
Source: no-littering-el
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa
Standards-Version: 4.0.0
Homepage: https://github.com/tarsius/no-littering
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/no-littering-el.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/no-littering-el.git

Package: elpa-no-littering
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacsen-common (>= 2.0.8)
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs24,
          emacs25
Built-Using: ${misc:Built-Using}
Description: help keeping ~/.emacs.d clean
 The default paths used to store configuration files and persistent
 data are not consistent across Emacs packages. This isn't just a
 problem with third-party packages but even with built-in packages.
 .
 This package sets out to fix this by changing the values of path
 variables to put files in either `no-littering-etc-directory'
 (defaulting to "~/.emacs.d/etc/") or `no-littering-var-directory'
 (defaulting to "~/.emacs.d/var/"), and by using descriptive file
 names and subdirectories when appropriate.

## no-littering-el 0.5.12

=== debian/changelog ===
no-littering-el (0.5.12-1) unstable; urgency=medium

  * New upstream version 0.5.12
  * Update patch
  * Migrate to dh 11
  * d/control: Declare Standards-Version 4.1.3 (no changes needed)
  * d/control: Remove emacs24 from Enhances field
  * d/control: Remove Built-Using field
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 29 Jan 2018 12:06:55 +0500

no-littering-el (0.5.11-1) unstable; urgency=medium

  * New upstream version 0.5.11
  * Refresh patch

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 23 Sep 2017 17:07:59 +0500

no-littering-el (0.5.10-1) unstable; urgency=medium

  * New upstream version 0.5.10
  * Update patch to the new upstream version number
  * d/control: Bump Standards-Version to 4.1.0 (no changes needed)
  * d/control: Remove emacsen-common from dependencies

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 07 Sep 2017 11:08:41 +0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-elpa
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/tarsius/no-littering
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/no-littering-el.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/no-littering-el.git
@@ -13,13 +13,10 @@
 Package: elpa-no-littering
 Architecture: all
 Depends: ${elpa:Depends},
-         ${misc:Depends},
-         emacsen-common (>= 2.0.8)
+         ${misc:Depends}
 Recommends: emacs (>= 46.0)
 Enhances: emacs,
-          emacs24,
           emacs25
-Built-Using: ${misc:Built-Using}
 Description: help keeping ~/.emacs.d clean
  The default paths used to store configuration files and persistent
  data are not consistent across Emacs packages. This isn't just a

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%no-littering-el-$1.tar.gz%" \
             https://github.com/tarsius/no-littering/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## no-littering-el 0.5.13

=== debian/changelog ===
no-littering-el (0.5.13-1) unstable; urgency=medium

  * Change Vcs-{Browser,Git} URL to salsa.debian.org
  * New upstream version 0.5.13
  * Refresh version patch
  * Add Source field to d/copyright
  * Fix Upstream-Name field in d/copyright
  * Change upstream homepage URL: moved from tarsius to emacscollective

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 29 Mar 2018 12:29:20 +0500

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 11),
                dh-elpa
 Standards-Version: 4.1.3
-Homepage: https://github.com/tarsius/no-littering
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/no-littering-el.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/no-littering-el.git
+Homepage: https://github.com/emacscollective/no-littering
+Vcs-Browser: https://salsa.debian.org/emacsen/no-littering-el
+Vcs-Git: https://salsa.debian.org/emacsen/no-littering-el.git
 
 Package: elpa-no-littering
 Architecture: all

## no-littering-el 0.5.14

=== debian/changelog ===
no-littering-el (0.5.14-1) unstable; urgency=medium


  * New upstream version 0.5.14
  * Refresh patch
  * d/control: Declare Standards-Version 4.1.4 (no changes needed)
  * d/control: Update Maintainer field (to Debian Emacsen team)
  * d/control: Fix Vcs URLs

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 26 May 2018 15:59:48 +0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: no-littering-el
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-elpa
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/emacscollective/no-littering
-Vcs-Browser: https://salsa.debian.org/emacsen/no-littering-el
-Vcs-Git: https://salsa.debian.org/emacsen/no-littering-el.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/no-littering-el
+Vcs-Git: https://salsa.debian.org/emacsen-team/no-littering-el.git
 
 Package: elpa-no-littering
 Architecture: all

## no-littering-el 1.0.0

=== debian/changelog ===
no-littering-el (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * Refresh version patch
  * d/control: Declare Standards-Version 4.2.1 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 15 Nov 2018 09:37:29 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-elpa
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/emacscollective/no-littering
 Vcs-Browser: https://salsa.debian.org/emacsen-team/no-littering-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/no-littering-el.git

## no-littering-el 1.0.1

=== debian/changelog ===
no-littering-el (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
  * Migrate to dh 12 without d/compat
  * Refresh patch to fix version number
  * d/control: Declare Standards-Version 4.3.0 (no changes needed)
  * d/control: Add Rules-Requires-Root: no
  * d/control: Drop emacs25 from Enhances
  * d/copyright: Update copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 24 Feb 2019 20:20:38 +0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-elpa
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
+Rules-Requires-Root: no
 Homepage: https://github.com/emacscollective/no-littering
 Vcs-Browser: https://salsa.debian.org/emacsen-team/no-littering-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/no-littering-el.git
@@ -15,8 +16,7 @@
 Depends: ${elpa:Depends},
          ${misc:Depends}
 Recommends: emacs (>= 46.0)
-Enhances: emacs,
-          emacs25
+Enhances: emacs
 Description: help keeping ~/.emacs.d clean
  The default paths used to store configuration files and persistent
  data are not consistent across Emacs packages. This isn't just a

## no-littering-el 1.0.2

=== debian/changelog ===
no-littering-el (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2
  * Refresh patch fixing version number
  * d/control: Declare Standards-Version 4.4.0 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 19 Jul 2019 23:18:46 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-elpa
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: https://github.com/emacscollective/no-littering
 Vcs-Browser: https://salsa.debian.org/emacsen-team/no-littering-el

## no-littering-el 1.0.3

=== debian/changelog ===
no-littering-el (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3
  * Refresh patch to fix version number
  * d/control: Declare Standards-Version 4.4.1 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 14 Dec 2019 22:23:47 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-elpa
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://github.com/emacscollective/no-littering
 Vcs-Browser: https://salsa.debian.org/emacsen-team/no-littering-el

## no-littering-el 1.1.2

=== debian/changelog ===
no-littering-el (1.1.2-1) unstable; urgency=medium

  * New upstream version 1.1.2
  * Refresh patch to fix version number

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 21 Aug 2020 20:30:34 +0500

no-littering-el (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1
  * Refresh patch to fix version number
  * Add some AppStream metadata

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 24 Jul 2020 09:32:40 +0500

no-littering-el (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * Refresh patch to fix version number
  * d/control: Migrate to debhelper-compat 13
  * d/control: Declare Standards-Version 4.5.0 (no changes needed)
  * d/copyright: Update copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 23 May 2020 09:00:03 +0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/emacscollective/no-littering
 Vcs-Browser: https://salsa.debian.org/emacsen-team/no-littering-el

## no-littering-el 1.2.0

=== debian/changelog ===
no-littering-el (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * Refresh patch to fix version number

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 31 Oct 2020 20:59:14 +0500

## no-littering-el 1.2.1

=== debian/changelog ===
no-littering-el (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
  * Update patch to fix version number
  * d/control: Declare Standards-Version 4.5.1 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 31 Dec 2020 12:37:14 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/emacscollective/no-littering
 Vcs-Browser: https://salsa.debian.org/emacsen-team/no-littering-el

## no-littering-el 1.2.5

=== debian/changelog ===
no-littering-el (1.2.5-1) unstable; urgency=medium

  * New upstream version 1.2.5
  * Refresh patch to fix version number

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 14 Feb 2022 13:59:19 +0500

no-littering-el (1.2.4-1) unstable; urgency=medium

  * New upstream version 1.2.4
  * Refresh patch to fix version number
  * d/copyright: Update copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 16 Jan 2022 10:23:36 +0500

no-littering-el (1.2.3-1) unstable; urgency=medium

  * New upstream version 1.2.3
  * Refresh patch to fix upstream version number

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 24 Nov 2021 14:48:07 +0500

no-littering-el (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
  * Refresh patch to fix version number
  * d/control: Declare Standards-Version 4.6.0 (no changes needed)
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 24 Aug 2021 13:24:55 +0500

## no-littering-el 1.2.7

=== debian/changelog ===
no-littering-el (1.2.7-1) unstable; urgency=medium

  * New upstream version 1.2.7
  * Refresh patch to fix version number

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 02 Apr 2022 10:38:12 +0500

no-littering-el (1.2.6-1) unstable; urgency=medium

  * New upstream version 1.2.6
  * Refresh patch to fix version number

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 24 Mar 2022 12:59:34 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/emacscollective/no-littering
 Vcs-Browser: https://salsa.debian.org/emacsen-team/no-littering-el

## no-littering-el 1.5.0

=== Makefile ===
-include .config.mk

PKG = no-littering

ELS   = $(PKG).el
ELCS  = $(ELS:.el=.elc)

DEPS  = compat

EMACS      ?= emacs
EMACS_ARGS ?=

LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
LOAD_PATH  += -L .

all: lisp

help:
	$(info make all          - generate byte-code and autoloads)
	$(info make lisp         - generate byte-code and autoloads)
	$(info make clean        - remove generated files)
	@printf "\n"

lisp: $(ELCS) loaddefs check-declare

loaddefs: $(PKG)-autoloads.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<

check-declare:
	@printf " Checking function declarations\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
	--eval "(check-declare-directory default-directory)"

CLEAN  = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf " Cleaning...\n"
	@rm -rf $(CLEAN)

$(PKG)-autoloads.el: $(ELS)
	@printf " Creating $@\n"
	@$(EMACS) -Q --batch -l autoload -l cl-lib --eval "\
(let ((file (expand-file-name \"$@\"))\
      (autoload-timestamps nil) \
      (backup-inhibited t)\
      (version-control 'never)\
      (coding-system-for-write 'utf-8-emacs-unix))\
  (write-region (autoload-rubric file \"package\" nil) nil file nil 'silent)\
  (cl-letf (((symbol-function 'progress-reporter-do-update) (lambda (&rest _)))\
            ((symbol-function 'progress-reporter-done) (lambda (_))))\
    (let ((generated-autoload-file file))\
      (update-directory-autoloads default-directory))))" \
	2>&1 | sed "/^Package autoload is deprecated$$/d"

=== debian/changelog ===
no-littering-el (1.5.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Lev Lamberov ]
  * New upstream version 1.5.0
  * d/copyright: Update copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 12 Jul 2023 16:25:19 +0500

no-littering-el (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * Refresh patch to fix version number
  * d/control: Build-Depend on elpa-compat
  * d/control: Declare Standards-Version 4.6.2 (no changes needed)
  * d/docs: Install proper documentation
  * d/rules: Skip upstream build and install

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 18 Jun 2023 09:46:35 +0500

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-elpa
-Standards-Version: 4.6.0
+               dh-elpa,
+               elpa-compat
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/emacscollective/no-littering
 Vcs-Browser: https://salsa.debian.org/emacsen-team/no-littering-el
@@ -15,7 +16,7 @@
 Architecture: all
 Depends: ${elpa:Depends},
          ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: help keeping ~/.emacs.d clean
  The default paths used to store configuration files and persistent

## no-littering-el 1.7.1

=== debian/changelog ===
no-littering-el (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1
  * Refresh patch to fix version number

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 13 Aug 2024 12:28:56 +0500

no-littering-el (1.7.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:57:30 +0900

no-littering-el (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
  * Refresh patch to fix version number
  * d/control: Declare Standards-Version 4.7.0 (no changes needed)
  * d/copyright: Update copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 12 Jul 2024 13:05:41 +0500

## no-littering-el 1.7.2

=== debian/changelog ===
no-littering-el (1.7.2-1) unstable; urgency=medium

  * New upstream version 1.7.2
  * Refresh patch to fix version number

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 04 Sep 2024 16:38:01 +0500

## no-littering-el 1.7.3

=== debian/changelog ===
no-littering-el (1.7.3-1) unstable; urgency=medium

  * New upstream version 1.7.3
  * Refresh patch to fix version number

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 10 Nov 2024 12:50:47 +0500

## no-littering-el 1.7.4

=== debian/changelog ===
no-littering-el (1.7.4-1) unstable; urgency=medium

  * New upstream version 1.7.4
  * Refresh patch to fix version number

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 07 Dec 2024 19:14:31 +0500

## no-littering-el 1.7.5

=== debian/changelog ===
no-littering-el (1.7.5-1) unstable; urgency=medium

  * New upstream version 1.7.5
  * Refresh patch to fix version number
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 17 Jan 2025 17:47:09 +0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                elpa-compat
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/emacscollective/no-littering
 Vcs-Browser: https://salsa.debian.org/emacsen-team/no-littering-el

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%no-littering-el-$1.tar.gz%" \
             https://github.com/emacscollective/no-littering/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## no-littering-el 1.7.6

=== debian/changelog ===
no-littering-el (1.7.6-1) unstable; urgency=medium

  * New upstream version 1.7.6
  * Update patch to fix version number
  * d/control: Declare Standards-Version 4.7.2 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 03 Apr 2025 16:24:41 +0500

## no-littering-el 1.7.9

=== debian/changelog ===
no-littering-el (1.7.9-1) unstable; urgency=medium

  * New upstream version 1.7.9
  * Update patch to fix version number

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 23 Aug 2025 10:46:06 +0500

## no-littering-el 1.8.0

=== Makefile ===
--- 
+++ 
@@ -1,27 +1,37 @@
 -include .config.mk
+include default.mk
 
-PKG = no-littering
+.PHONY: lisp docs
 
-ELS   = $(PKG).el
-ELCS  = $(ELS:.el=.elc)
-
-DEPS  = compat
-
-EMACS      ?= emacs
-EMACS_ARGS ?=
-
-LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
-LOAD_PATH  += -L .
-
-all: lisp
+all: lisp docs
 
 help:
 	$(info make all          - generate byte-code and autoloads)
 	$(info make lisp         - generate byte-code and autoloads)
+	$(info make docs         - generate html readme file)
+	$(info make html         - generate html readme file)
+	$(info make publish      - publish html readme file)
+	$(info make redo         - re-generate byte-code and autoloads)
 	$(info make clean        - remove generated files)
 	@printf "\n"
 
+redo: clean lisp
+
 lisp: $(ELCS) loaddefs check-declare
+
+docs:
+	@$(MAKE) -C docs docs
+html:
+	@$(MAKE) -C docs html
+publish:
+	@$(MAKE) -C docs publish
+
+CLEAN  = $(ELCS) $(PKG)-autoloads.el
+
+clean:
+	@printf " Cleaning...\n"
+	@rm -rf $(CLEAN)
+	@$(MAKE) -C docs clean
 
 loaddefs: $(PKG)-autoloads.el
 
@@ -33,12 +43,6 @@
 	@printf " Checking function declarations\n"
 	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
 	--eval "(check-declare-directory default-directory)"
-
-CLEAN  = $(ELCS) $(PKG)-autoloads.el
-
-clean:
-	@printf " Cleaning...\n"
-	@rm -rf $(CLEAN)
 
 $(PKG)-autoloads.el: $(ELS)
 	@printf " Creating $@\n"

=== debian/changelog ===
no-littering-el (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0
  * Update patch to fix version number

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 16 Sep 2025 11:25:30 +0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                elpa-compat
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/emacscollective/no-littering
 Vcs-Browser: https://salsa.debian.org/emacsen-team/no-littering-el

## no-littering-el 1.8.3

=== Makefile ===
-include .config.mk
include default.mk

.PHONY: lisp docs

all: lisp docs

help:
	$(info make all        -- Build lisp)
	$(info make lisp       -- Build lisp)
	$(info make redo       -- Build lisp from scratch)
	$(info make docs       -- Build html documentation)
	$(info make html       -- Build html documentation)
	$(info make publish    -- Publish html documentation)
	$(info make clean      -- Remove built files)
	@printf "\n"

redo: clean lisp

lisp: $(ELCS) autoloads check-declare

docs:
	@$(MAKE) -C docs docs
html:
	@$(MAKE) -C docs html
publish:
	@$(MAKE) -C docs publish

CLEAN = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf " Cleaning...\n"
	@rm -rf $(CLEAN)
	@$(MAKE) -C docs clean

autoloads: $(PKG)-autoloads.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS_BATCH) --funcall batch-byte-compile $<

check-declare:
	@printf " Checking function declarations\n"
	@$(EMACS_BATCH) --eval "(check-declare-directory default-directory)"

$(PKG)-autoloads.el: $(ELS)
	@printf " Creating $@\n"
	@$(EMACS_BATCH) --load autoload --eval "\
(let* ((file (expand-file-name \"$@\"))\
       (generated-autoload-file file)\
       (coding-system-for-write 'utf-8-emacs-unix)\
       (backup-inhibited t)\
       (version-control 'never)\
       (inhibit-message t))\
  (write-region (autoload-rubric file \"package\" t) nil file)\
  (update-directory-autoloads default-directory))" \
	2>&1 | sed "/^Package autoload is deprecated$$/d"

=== docs/Makefile ===
-include ../config.mk
include ../default.mk

docs: html

HTML  = index.html
HTML += migrate.html

html: $(HTML)

ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
ORG_EVAL += --eval "(setq org-html-checkbox-type 'html)"
ORG_EVAL += --eval "(require 'ox-html)"
ORG_EVAL += --funcall org-html-export-to-html

%.html: ../%.org
	@printf "Generating $@\n"
	@$(EMACS_ORG) $< $(ORG_EVAL)

index.html: ../README.org
	@printf "Generating $@\n"
	@$(EMACS_ORG) $< $(ORG_EVAL)

DOCS_DOMAIN = docs.$(DOMAIN)
DOCS_TARGET = $(subst .,_,$(DOCS_DOMAIN)):$(PKG)/

publish: html
	@printf "Publishing readme...\n"
	@$(RCLONE) copy $(RCLONE_ARGS) index.html   $(DOCS_TARGET)
	@$(RCLONE) copy $(RCLONE_ARGS) migrate.html $(DOCS_TARGET)

CLEAN = $(HTML)

clean:
	@printf " Cleaning docs/*...\n"
	@rm -rf $(CLEAN)

=== debian/changelog ===
no-littering-el (1.8.3-1) unstable; urgency=medium

  * New upstream version 1.8.3
  * Update patch to fix version number
  * d/control: Declare Standards-Version 4.7.3
  * d/control: Drop Priority field
  * d/control: Drop Rules-Requires-Root: no
  * d/copyright: Update copyright years
  * d/watch: Migrate to version 5

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 03 Jan 2026 11:33:43 +0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: no-littering-el
 Section: lisp
-Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                elpa-compat
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/emacscollective/no-littering
 Vcs-Browser: https://salsa.debian.org/emacsen-team/no-littering-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/no-littering-el.git

=== debian/watch ===
Version: 5

Template: GitHub
Owner: emacscollective
Project: no-littering
Filename-Mangle: auto
